Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department:  Affected Products: ADTF 2.14.0, ADTF MLSLBlockset 1.3.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::DAT

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

Wir würden gern aus Messdaten, die wir mit ADTF betrachten, Signale auswählen,

auf einen bestimmten Zeit-Slot eingrenzen und dann die ausgewählten Signale

von ADTF aus in einem von anderen Programmen lesbaren Format herausschreiben,

z.B. als mat-File für Matlab/Simulink oder als einfaches ASCII File.

Gibt es in ADTF entsprechende Filter- und Konvertierungsfunktionen?

Wie können wir diese anwenden?

 

Lösung:

Die Funktion, die dies unterstütz heißt DAT2MAT.

ADTF MLSLBlockset muss dafür installiert sein.

Import of ADTF Streams of an ADTF DAT File into MATLAB:

You can load ADTF DAT File into MATLAB using the parameter ’dat2mat’

 Weitere Informationen zum ADTF MLSLBlockset findest du im Handbuch Seite 33 ff. und den vorhandenen Beispielen (siehe Seite

65).

https://support.digitalwerk.net/adtf_addons/adtf-mlslblockset/v1/MLSLBlockset.pdf

Zusätzlich gibt es auch noch die Möglichkeit mittels des DAT Exporter DAT Files (Streams) in ASC Files zu exportieren.

Siehe hierzu im Usermanual der Device Toolbox die Info z.b. für CAN unter Punkt 9.1.5 auf Seite 107 für mehr Informationen.

History

#1 - 2019-04-04 16:18 - hidden

- Project changed from Public Support to 9

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::DAT

- Customer set to DAIMLER

- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

Hallo Klaus Wüst,

Die Funktion, die du suchst heißt DAT2MAT.

ADTF MLSLBlockset muss dafür installiert sein.

Import of ADTF Streams of an ADTF DAT File into MATLAB:
https://support.digitalwerk.net/adtf_addons/adtf-mlslblockset/v1/MLSLBlockset.pdf
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf


You can load ADTF DAT File into MATLAB using the parameter ’dat2mat’

 Weitere Informationen zum ADTF MLSLBlockset findest du im Handbuch Seite 33 ff. und den vorhandenen Beispielen (siehe Seite 65).

https://support.digitalwerk.net/adtf_addons/adtf-mlslblockset/v1/MLSLBlockset.pdf

Gruß,

Michael

#4 - 2019-04-05 08:30 - hidden

Hallo Herr G,

Leider ist das MLSLBlockset in meiner ADTF Installation

nicht vorhanden, das entsprechende Add-on fehlt.

Ist es im Umfang des Daimler-Rahmenvertrags möglich

auch eine Lizenz für dieses Add-on herunterzuladen,

oder muss ich das extra bestellen?

è CC Herrn Schneider, zur Info:

Haben Sie dieses Zusatz-Feature „MLSLBlockset“,

mit dem die *.dat Files in Matlab gelesen werden können?

Grüße von

Klaus Wüst

mit freundlichen Grüßen / best regards

Klaus Wüst

#5 - 2019-04-05 08:58 - hidden

- Affected Products ADTF MLSLBlockset 1.3.0 added

Hallo Klaus Wüst,

ja das ADTF MLSL Blockset kann in den ADTF Lizenzen für Daimler freigeschalten werden.

Dies ist im Rahmenvertrag mit enthalten.

Wenn wir Lizenzen erweitern sollen, bitte einfach kurz die Lizenzen bzw. MAC Adressen angeben und wir ändern die Lizenzen entsprechend um.

Das ADTF MLSL Blockset selbst findet ihr in unseren Download Center unter ADTF 2.x Products.

Zusätzlich gibt es auch noch die Möglichkeit mittels des DAT Exporter DAT Files (Streams) in ASC Files zu exportieren.

Das erzeugt aber pro Stream bzw. Dat-File jeweils ein ASC File.

Siehe hierzu im Usermanual der Device Toolbox die Info z.b. für CAN unter Punkt 9.1.5 auf Seite 107 für mehr Informationen.

Bitte gib uns kurz Feedback ob dies deine Anfrage beantwortet.

#6 - 2019-04-05 11:00 - hidden

- File DaimlerAG_C019LEW54701770_V2_8C-16-45-22-E5-93_20200131.lic added

- File DaimlerAG_C019L061053_V2_C8-5B-76-3B-61-90_20200131.lic added

Hallo,

ja, das passt so, dann probiere ich beide Alternativen aus.

Besser ist wahrscheinlich schon die Matlab-Simulink-Lösung,

dann können wir die Daten dort gleich weiterverarbeiten.

Also bitte für die beiden beigefügten Lizenzen das Feature

MBSLBlockset freischalten. Braucht Ihr nochmal die MAC-

Adressen? Die müsste ich am Montag heraussuchen, bin

heute im Home Office und deshalb nicht an den beiden

Rechnern.  Ich glaube aber das ist einfach im Namen der

Lizenzfiles enthalten (?).

mit freundlichen Grüßen / best regards

Klaus Wüst

#9 - 2019-04-05 14:29 - hidden

Hallo Klaus Wüst,

ich haben Dir die beiden Lizenzen mit dem MLSL Blockset Lizenzflag neu erstellt und in den Lizenztickets hinterlegt.

Beide Tickets sind hier auch verlinkt. Du solltest aber auch eine Info-Email zu diesen Tickets erhalten haben.
https://support.digitalwerk.net/adtf_addons/adtf-mlslblockset/v1/MLSLBlockset.pdf
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf


Können wir die Support Anfrage damit schließen?

Gruß

Matthias

#10 - 2019-04-05 14:45 - hidden

Hallo,

Ja, das Ticket kann geschlossen werden,

ich habe die aktualisierten Lizenzen gerade erhalten.

Danke!

mit freundlichen Grüßen / best regards

Klaus Wüst

#11 - 2019-04-05 15:24 - hidden

- File deleted (DaimlerAG_C019LEW54701770_V2_8C-16-45-22-E5-93_20200131.lic)

#12 - 2019-04-05 15:24 - hidden

- File deleted (DaimlerAG_C019L061053_V2_C8-5B-76-3B-61-90_20200131.lic)

#13 - 2019-04-05 15:30 - hidden

- Subject changed from Export ADTF recorded data to Export ADTF recorded data - DAT2MAT or ASC

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#15 - 2019-07-19 08:03 - hidden

- Project changed from 9 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
